<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'diamondaffiliate',

    /*
     * Modules.
     */
    'modules'   => ['diamond_affiliate'],

    
    'diamond_affiliate'       => [
        'model' => [
            'model'                 => \Litecms\Diamondaffiliate\Models\DiamondAffiliate::class,
            'table'                 => 'diamond_affiliates',
            'presenter'             => \Litecms\Diamondaffiliate\Repositories\Presenter\DiamondAffiliatePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['psv',  'tsv',  'active_customer',  'total_team_app',  'blue_diamond',  'executive_diamond',  'platinum',  'gold',  'silver',  'gen1',  'gen2',  'gen3',  'gen4',  'gen5',  'gen6',  'gen7',  'gen8',  'gen9',  'gen10',  'month_team_bonus',  'yearly_team_bonus',  'receive_crypto_currency',  'bmw_car_allowance',  'class_a_stock'],
            'translatables'         => [],
            'upload_folder'         => 'diamondaffiliate/diamond_affiliate',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Diamondaffiliate',
            'module'    => 'DiamondAffiliate',
        ],

    ],
];
