<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('diamondaffiliate::diamond_affiliate.name') !!} <small> {!! trans('app.manage') !!} {!! trans('diamondaffiliate::diamond_affiliate.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('diamondaffiliate::diamond_affiliate.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='diamondaffiliate-diamond_affiliate-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('diamondaffiliate/diamond_affiliate')!!}">{!! trans('diamondaffiliate::diamond_affiliate.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('diamondaffiliate/diamond_affiliate?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('diamondaffiliate/diamond_affiliate?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('diamondaffiliate/diamond_affiliate/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('diamondaffiliate::admin.diamond_affiliate.partial.actions')
                    -->
                    @include('diamondaffiliate::admin.diamond_affiliate.partial.filter')
                    @include('diamondaffiliate::admin.diamond_affiliate.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="diamondaffiliate-diamond_affiliate-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="diamondaffiliate-diamond_affiliate-check-all"></th>
                        <th data-field="psv">{!! trans('diamondaffiliate::diamond_affiliate.label.psv')!!}</th>
                    <th data-field="tsv">{!! trans('diamondaffiliate::diamond_affiliate.label.tsv')!!}</th>
                    <th data-field="active_customer">{!! trans('diamondaffiliate::diamond_affiliate.label.active_customer')!!}</th>
                    <th data-field="total_team_app">{!! trans('diamondaffiliate::diamond_affiliate.label.total_team_app')!!}</th>
                    <th data-field="blue_diamond">{!! trans('diamondaffiliate::diamond_affiliate.label.blue_diamond')!!}</th>
                    <th data-field="executive_diamond">{!! trans('diamondaffiliate::diamond_affiliate.label.executive_diamond')!!}</th>
                    <th data-field="platinum">{!! trans('diamondaffiliate::diamond_affiliate.label.platinum')!!}</th>
                    <th data-field="gold">{!! trans('diamondaffiliate::diamond_affiliate.label.gold')!!}</th>
                    <th data-field="silver">{!! trans('diamondaffiliate::diamond_affiliate.label.silver')!!}</th>
                    <th data-field="gen1">{!! trans('diamondaffiliate::diamond_affiliate.label.gen1')!!}</th>
                    <th data-field="gen2">{!! trans('diamondaffiliate::diamond_affiliate.label.gen2')!!}</th>
                    <th data-field="gen3">{!! trans('diamondaffiliate::diamond_affiliate.label.gen3')!!}</th>
                    <th data-field="gen4">{!! trans('diamondaffiliate::diamond_affiliate.label.gen4')!!}</th>
                    <th data-field="gen5">{!! trans('diamondaffiliate::diamond_affiliate.label.gen5')!!}</th>
                    <th data-field="gen6">{!! trans('diamondaffiliate::diamond_affiliate.label.gen6')!!}</th>
                    <th data-field="gen7">{!! trans('diamondaffiliate::diamond_affiliate.label.gen7')!!}</th>
                    <th data-field="gen8">{!! trans('diamondaffiliate::diamond_affiliate.label.gen8')!!}</th>
                    <th data-field="gen9">{!! trans('diamondaffiliate::diamond_affiliate.label.gen9')!!}</th>
                    <th data-field="gen10">{!! trans('diamondaffiliate::diamond_affiliate.label.gen10')!!}</th>
                    <th data-field="month_team_bonus">{!! trans('diamondaffiliate::diamond_affiliate.label.month_team_bonus')!!}</th>
                    <th data-field="yearly_team_bonus">{!! trans('diamondaffiliate::diamond_affiliate.label.yearly_team_bonus')!!}</th>
                    <th data-field="receive_crypto_currency">{!! trans('diamondaffiliate::diamond_affiliate.label.receive_crypto_currency')!!}</th>
                    <th data-field="bmw_car_allowance">{!! trans('diamondaffiliate::diamond_affiliate.label.bmw_car_allowance')!!}</th>
                    <th data-field="class_a_stock">{!! trans('diamondaffiliate::diamond_affiliate.label.class_a_stock')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#diamondaffiliate-diamond_affiliate-entry', '{!!guard_url('diamondaffiliate/diamond_affiliate/0')!!}');
    oTable = $('#diamondaffiliate-diamond_affiliate-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('diamondaffiliate/diamond_affiliate') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'psv'},
            {data :'tsv'},
            {data :'active_customer'},
            {data :'total_team_app'},
            {data :'blue_diamond'},
            {data :'executive_diamond'},
            {data :'platinum'},
            {data :'gold'},
            {data :'silver'},
            {data :'gen1'},
            {data :'gen2'},
            {data :'gen3'},
            {data :'gen4'},
            {data :'gen5'},
            {data :'gen6'},
            {data :'gen7'},
            {data :'gen8'},
            {data :'gen9'},
            {data :'gen10'},
            {data :'month_team_bonus'},
            {data :'yearly_team_bonus'},
            {data :'receive_crypto_currency'},
            {data :'bmw_car_allowance'},
            {data :'class_a_stock'},
        ],
        "pageLength": 25
    });

    $('#diamondaffiliate-diamond_affiliate-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#diamondaffiliate-diamond_affiliate-list').DataTable().row( this ).data();
        $('#diamondaffiliate-diamond_affiliate-entry').load('{!!guard_url('diamondaffiliate/diamond_affiliate')!!}' + '/' + d.id);
    });

    $('#diamondaffiliate-diamond_affiliate-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#diamondaffiliate-diamond_affiliate-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#diamondaffiliate-diamond_affiliate-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#diamondaffiliate-diamond_affiliate-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>