<?php

namespace Litecms\Diamondaffiliate;

use User;

class Diamondaffiliate
{
    /**
     * $diamond_affiliate object.
     */
    protected $diamond_affiliate;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Diamondaffiliate\Interfaces\DiamondAffiliateRepositoryInterface $diamond_affiliate)
    {
        $this->diamond_affiliate = $diamond_affiliate;
    }

    /**
     * Returns count of diamondaffiliate.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.diamond_affiliate.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->diamond_affiliate->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\DiamondAffiliateUserCriteria());
        }

        $diamond_affiliate = $this->diamond_affiliate->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('diamondaffiliate::' . $view, compact('diamond_affiliate'))->render();
    }
}
